"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UIContextProvider = exports.useUIProviderProps = void 0;
var tslib_1 = require("tslib");
var UI_1 = require("@reactionable/core/lib/ui/UI");
var react_1 = tslib_1.__importDefault(require("react"));
var ErrorAlert_1 = require("./alert/ErrorAlert");
var WarningAlert_1 = require("./alert/WarningAlert");
var Confirmation_1 = require("./confirmation/Confirmation");
var useForm_1 = require("./form/useForm");
var Layout_1 = require("./layout/Layout");
var Loader_1 = require("./loader/Loader");
var Modal_1 = require("./modal/Modal");
var useModalForm_1 = require("./modal/useModalForm");
var ErrorNotification_1 = require("./notification/ErrorNotification");
var SuccessNotification_1 = require("./notification/SuccessNotification");
function useUIProviderProps(props) {
    return UI_1.useUIProviderProps(tslib_1.__assign({ useLoader: Loader_1.useLoader,
        useSuccessNotification: SuccessNotification_1.useSuccessNotification,
        useErrorNotification: ErrorNotification_1.useErrorNotification,
        useErrorAlert: ErrorAlert_1.useErrorAlert,
        useWarningAlert: WarningAlert_1.useWarningAlert,
        useConfirmation: Confirmation_1.useConfirmation,
        useLayout: Layout_1.useLayout,
        useForm: useForm_1.useForm,
        useModal: Modal_1.useModal,
        useModalForm: useModalForm_1.useModalForm }, props));
}
exports.useUIProviderProps = useUIProviderProps;
var UIContextProvider = function (props) {
    var uiContextProviderProps = tslib_1.__assign(tslib_1.__assign({}, useUIProviderProps()), props);
    return react_1.default.createElement(UI_1.UIContextProvider, tslib_1.__assign({}, uiContextProviderProps));
};
exports.UIContextProvider = UIContextProvider;
//# sourceMappingURL=UI.js.map