import { IData } from "@reactionable/core";
import { IListProps as ICoreListProps } from "@reactionable/core/lib/crud/list/List";
import { ComponentType, PropsWithChildren, ReactElement, ReactNode } from "react";
export interface IListProps<Data extends IData = IData> extends Omit<ICoreListProps<Data>, "children"> {
    head: Array<ReactNode | string>;
    children: (data: Data) => ReactNode;
}
export declare type ListComponent<Data extends IData = IData> = ComponentType<IListProps<Data>>;
export declare function List<Data extends IData = IData>({ head, children, ...props }: PropsWithChildren<IListProps<Data>>): ReactElement;
