"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormField = exports.RenderFormField = void 0;
var tslib_1 = require("tslib");
var FormField_1 = require("@reactionable/core/lib/form/FormField");
var react_1 = tslib_1.__importDefault(require("react"));
var Feedback_1 = tslib_1.__importDefault(require("react-bootstrap/Feedback"));
var FormCheck_1 = tslib_1.__importDefault(require("react-bootstrap/FormCheck"));
var FormControl_1 = tslib_1.__importDefault(require("react-bootstrap/FormControl"));
var FormGroup_1 = tslib_1.__importDefault(require("react-bootstrap/FormGroup"));
var FormLabel_1 = tslib_1.__importDefault(require("react-bootstrap/FormLabel"));
function RenderFormField(_a) {
    var error = _a.error, isValid = _a.isValid, isInvalid = _a.isInvalid, field = _a.field;
    var fieldContent;
    var fieldProps = tslib_1.__assign(tslib_1.__assign({}, field), { isValid: isValid,
        isInvalid: isInvalid });
    if (field.type === "checkbox") {
        fieldContent = react_1.default.createElement(FormCheck_1.default, tslib_1.__assign({}, fieldProps));
    }
    else {
        fieldContent = react_1.default.createElement(FormControl_1.default, tslib_1.__assign({}, fieldProps));
        if (field.label) {
            fieldContent = (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(FormLabel_1.default, null, field.label),
                fieldContent));
        }
    }
    if (error) {
        fieldContent = (react_1.default.createElement(react_1.default.Fragment, null,
            fieldContent,
            react_1.default.createElement(Feedback_1.default, { type: "invalid" }, error)));
    }
    if (field.type === "hidden") {
        return fieldContent;
    }
    return react_1.default.createElement(FormGroup_1.default, { controlId: field.name }, fieldContent);
}
exports.RenderFormField = RenderFormField;
function FormField(props) {
    return react_1.default.createElement(FormField_1.FormField, tslib_1.__assign({}, props, { render: RenderFormField }));
}
exports.FormField = FormField;
//# sourceMappingURL=FormField.js.map