"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = void 0;
var tslib_1 = require("tslib");
var core_1 = require("@reactionable/core");
var Link_1 = require("@reactionable/core/lib/router/Link");
var react_1 = tslib_1.__importDefault(require("react"));
var Nav_1 = tslib_1.__importDefault(require("react-bootstrap/Nav"));
var Navbar_1 = tslib_1.__importDefault(require("react-bootstrap/Navbar"));
var NavItem_1 = require("../../nav/NavItem");
var UserHeaderNav_1 = require("./UserHeaderNav");
var Header = function (_a) {
    var brand = _a.brand, _b = _a.navItems, navItems = _b === void 0 ? [] : _b, navbarProps = tslib_1.__rest(_a, ["brand", "navItems"]);
    var brandContent = null;
    var RouterLink = core_1.useRouterContext().RouterLink;
    if (brand) {
        if (Link_1.isLinkProps(brand)) {
            var href = brand.href, navbarBrandProps = tslib_1.__rest(brand, ["href"]);
            brandContent = (react_1.default.createElement(RouterLink, { href: href },
                react_1.default.createElement(Navbar_1.default.Brand, tslib_1.__assign({}, navbarBrandProps))));
        }
        else {
            brandContent = (react_1.default.createElement(RouterLink, { href: "/" },
                react_1.default.createElement(Navbar_1.default.Brand, { href: "/" }, brand)));
        }
    }
    return (react_1.default.createElement(Navbar_1.default, tslib_1.__assign({ expand: "lg" }, navbarProps),
        brandContent,
        react_1.default.createElement(Navbar_1.default.Toggle, { "aria-controls": "main-navbar-nav" }),
        react_1.default.createElement(Navbar_1.default.Collapse, { id: "main-navbar-nav" },
            react_1.default.createElement(Nav_1.default, { className: "mr-auto" },
                react_1.default.createElement(NavItem_1.NavItems, { navItems: navItems })),
            react_1.default.createElement(UserHeaderNav_1.UserHeaderNav, null))));
};
exports.Header = Header;
//# sourceMappingURL=Header.js.map