"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserHeaderNav = void 0;
var tslib_1 = require("tslib");
var core_1 = require("@reactionable/core");
var Identity_1 = require("@reactionable/core/lib/identity/Identity");
var react_1 = tslib_1.__importStar(require("react"));
var Nav_1 = tslib_1.__importDefault(require("react-bootstrap/Nav"));
var NavDropdown_1 = tslib_1.__importDefault(require("react-bootstrap/NavDropdown"));
var Modal_1 = require("../../modal/Modal");
var UserLoggedHeaderNav = function () {
    var _a = Identity_1.useIdentityContext(), user = _a.user, logout = _a.logout;
    var t = core_1.useTranslation("identity").t;
    var RouterLink = core_1.useRouterContext().RouterLink;
    if (!user) {
        return null;
    }
    return (react_1.default.createElement(NavDropdown_1.default, { key: "userNav", id: "userNav", title: user.displayName() },
        react_1.default.createElement(NavDropdown_1.default.Item, { as: RouterLink, href: "/account" }, t("My account")),
        react_1.default.createElement(NavDropdown_1.default.Divider, null),
        react_1.default.createElement(NavDropdown_1.default.Item, { as: RouterLink, href: "#", onClick: logout }, t("Log out"))));
};
var UserUnloggedHeaderNav = function () {
    var RouterLink = core_1.useRouterContext().RouterLink;
    var t = core_1.useTranslation("identity").t;
    var _a = Identity_1.useIdentityContext(), user = _a.user, auth = _a.auth;
    var _b = Modal_1.useModal({
        Component: Modal_1.Modal,
        title: t("Sign In / Sign Up"),
        body: auth,
    }), modal = _b.modal, openModal = _b.openModal, closeModal = _b.closeModal;
    react_1.useEffect(function () {
        if (user) {
            closeModal();
        }
    }, [user]);
    if (user) {
        return null;
    }
    var handleOnClick = function () { return openModal(); };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        modal,
        react_1.default.createElement(RouterLink, { href: "#" },
            react_1.default.createElement(Nav_1.default.Link, { key: "signup_signin", onClick: handleOnClick }, t("Sign In / Sign Up")))));
};
var UserHeaderNav = function () {
    var identityProvider = Identity_1.useIdentityContext().identityProvider;
    if (!identityProvider) {
        return null;
    }
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(UserLoggedHeaderNav, null),
        ",",
        react_1.default.createElement(UserUnloggedHeaderNav, null),
        ","));
};
exports.UserHeaderNav = UserHeaderNav;
//# sourceMappingURL=UserHeaderNav.js.map