"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sidebar = exports.SidebarComponent = exports.useSidebarContext = void 0;
var tslib_1 = require("tslib");
var I18n_1 = require("@reactionable/core/lib/i18n/I18n");
var Sidebar_1 = require("@reactionable/core/lib/ui/layout/sidebar/Sidebar");
var react_1 = tslib_1.__importStar(require("react"));
var react_bootstrap_1 = require("react-bootstrap");
var Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
var Col_1 = tslib_1.__importDefault(require("react-bootstrap/Col"));
var Collapse_1 = tslib_1.__importDefault(require("react-bootstrap/Collapse"));
var Container_1 = tslib_1.__importDefault(require("react-bootstrap/Container"));
var Row_1 = tslib_1.__importDefault(require("react-bootstrap/Row"));
var NavItem_1 = require("../../nav/NavItem");
function useSidebarContext() {
    return Sidebar_1.useSidebarContext();
}
exports.useSidebarContext = useSidebarContext;
var SidebarItems = function (_a) {
    var children = _a.children;
    var t = I18n_1.useTranslation().t;
    var _b = tslib_1.__read(react_1.useState(true), 2), open = _b[0], setOpen = _b[1];
    var navItems = useSidebarContext().navItems;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Collapse_1.default, { in: open },
            react_1.default.createElement(Col_1.default, { xs: "auto", className: "sidebar-left-side", style: {
                    borderRight: "solid 1px",
                    height: "93vh",
                    paddingTop: "1vh",
                    paddingLeft: 0,
                    paddingRight: 0,
                } },
                !open && (react_1.default.createElement(Button_1.default, { onClick: function () { return setOpen(!open); }, "aria-controls": t("Collapse sidebar"), "aria-expanded": open }, t("Collapse sidebar"))),
                react_1.default.createElement(react_bootstrap_1.Nav, { className: "flex-column" },
                    react_1.default.createElement(NavItem_1.NavItems, { navItems: navItems })))),
        react_1.default.createElement(Col_1.default, { className: "sidebar-right-side", style: { height: "89vh", overflow: "auto" } }, children)));
};
function SidebarComponent(_a) {
    var children = _a.children;
    return (react_1.default.createElement(Container_1.default, { fluid: true, className: "sidebar-container", style: {
            paddingLeft: 0,
            paddingRight: 0,
        } },
        react_1.default.createElement(Row_1.default, null,
            react_1.default.createElement(SidebarItems, null, children))));
}
exports.SidebarComponent = SidebarComponent;
function Sidebar(props) {
    return react_1.default.createElement(Sidebar_1.Sidebar, tslib_1.__assign({ Component: SidebarComponent }, props));
}
exports.Sidebar = Sidebar;
//# sourceMappingURL=Sidebar.js.map