"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModalForm = void 0;
var tslib_1 = require("tslib");
var FormFields_1 = require("@reactionable/core/lib/form/FormFields");
var I18n_1 = require("@reactionable/core/lib/i18n/I18n");
var ModalForm_1 = require("@reactionable/core/lib/ui/modal/ModalForm");
var react_1 = tslib_1.__importDefault(require("react"));
var Modal_1 = tslib_1.__importDefault(require("react-bootstrap/Modal"));
var FormButton_1 = require("../form/FormButton");
function ModalFormChildren(_a) {
    var cancelButton = _a.cancelButton, submitButton = _a.submitButton, children = _a.children, closeModal = _a.closeModal, formikProps = _a.formikProps;
    var submit = FormButton_1.useSubmitFormButton({
        children: submitButton,
        disabled: formikProps.isSubmitting,
    });
    var t = I18n_1.useTranslation().t;
    var cancel = FormButton_1.useFormButton({
        children: cancelButton || t("Cancel"),
        disabled: formikProps.isSubmitting,
        onClick: closeModal,
        variant: "secondary",
    });
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Modal_1.default.Body, null,
            react_1.default.createElement(FormFields_1.FormFields, { formikProps: formikProps }, children)),
        react_1.default.createElement(Modal_1.default.Footer, null,
            cancel,
            submit)));
}
function ModalForm(_a) {
    var children = _a.children, submitButton = _a.submitButton, cancelButton = _a.cancelButton, props = tslib_1.__rest(_a, ["children", "submitButton", "cancelButton"]);
    var formChildren = function (formikProps) { return (react_1.default.createElement(ModalFormChildren, { cancelButton: cancelButton, submitButton: submitButton, closeModal: props.closeModal, formikProps: formikProps }, children)); };
    return react_1.default.createElement(ModalForm_1.ModalForm, tslib_1.__assign({}, props), formChildren);
}
exports.ModalForm = ModalForm;
//# sourceMappingURL=ModalForm.js.map