"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useErrorNotification = exports.ErrorNotification = void 0;
var tslib_1 = require("tslib");
var I18n_1 = require("@reactionable/core/lib/i18n/I18n");
var ErrorNotification_1 = require("@reactionable/core/lib/ui/notification/ErrorNotification");
var react_1 = tslib_1.__importDefault(require("react"));
var ErrorAlert_1 = require("../alert/ErrorAlert");
var Notification_1 = require("./Notification");
var ErrorNotification = function (_a) {
    var title = _a.title, children = _a.children, props = tslib_1.__rest(_a, ["title", "children"]);
    var t = I18n_1.useTranslation().t;
    if (!title) {
        title = t("An error has occured");
    }
    return (react_1.default.createElement(Notification_1.Notification, tslib_1.__assign({ variant: "danger", title: title }, props),
        react_1.default.createElement(ErrorAlert_1.ErrorAlert, { className: "mb-0" }, children)));
};
exports.ErrorNotification = ErrorNotification;
var useErrorNotification = function (props) {
    return ErrorNotification_1.useErrorNotification(tslib_1.__assign(tslib_1.__assign({}, props), { Component: exports.ErrorNotification }));
};
exports.useErrorNotification = useErrorNotification;
//# sourceMappingURL=ErrorNotification.js.map